* {
	padding: 0;
	margin: 0;
}
	
body {
	background-color: #ffffff;
	font-family: Arial, sans-serif;
	color: #00b7f1;
	padding: 5px;
}

/* HEADER */
#header {
	display: flex;
	align-items: center;
	justify-content: space-between; /* espace entre logo / titre / bouton */
	padding: 10px;
	background-color: #2E9BD6;
	color: #ffffff;
	padding: 5px 5px 5px 5px;
}

#header-logo {
	height: 60px;
	object-fit: cover;
}

#header-title {
	flex: 1;
	text-align: center;
	font-family: Arial, sans-serif; 
	font-size: 1.65rem;
}

/* Le conteneur global de droite */
#header-data {
  display: flex;
  flex-direction: column;   /* empile nom + commandes */
  align-items: flex-end;    /* aligne tout à droite */
  justify-content: space-between; /* espace haut/bas */
  height: 60px;             /* même hauteur que le logo pour un bon alignement */
}

/* Le nom en haut */
#header-name {
  margin: 0;
  font-size: 0.9rem;
  font-weight: bold;
}

/* La zone de commandes en bas */
#header-cmd {
  display: flex;
  gap: 8px;
  align-items: center;
}

.header-link {
  display: flex;
  align-items: center;
  gap: 4px;
  cursor: pointer;
}

.header-link img {
  height: 18px;
}

.header-link p {
  margin: 0;
  font-size: 0.8rem;
}

.header-link p:hover {
  color: #4F81BD;
}


/* MAIN */
#cmd-window {
	/* border: 2px solid red; */
	color: #00b7f1;
	text-align: center;
}

#cur-command {
	width: 100%;
	min-height: 0;
	overflow: hidden;
	border: none;
}

/* FENETRE MODALE */
#modal-window {
	position: relative; /* conteneur parent pour positionner la modale */
	display: inline-block;
	margin: 0;
	padding: 0;
}

#liste-modal-btn {
	cursor: pointer;
}

#liste-modal-btn img {
	height: 30px;
}

#liste-modal-btn img:hover {
	transform: scale(1.10);
	transition: background-color 0.3s ease;
}

#liste-modal {
	display: none; /* cachée par défaut */
	z-index: 1000;
	position: absolute;
	top: 110%; /* juste sous le bouton */
	left: 0;
	min-width: 400px;
}

/* Contenu de la modale */
#liste-content {
	color: #00b7f1;
	background-color: rgba(242,242,242,1);
	text-align: left;
	border: 2px solid #ccc;
	box-shadow: 0 2px 4px rgba(0,0,0,0.15);
	border-spacing: 0;
}

#liste-content tr {
	cursor: pointer;
	transition: background 0.2s;
}

#liste-content tr:nth-child(even) {
	background-color: #DCE6F2;
}

#liste-content tr:nth-child(odd) {
	background-color: #C6D9F1;
}		
	
#liste-content tr:hover {
	background-color: #00b7f1;
	color: #FFFFFF;
}

#liste-content tr.current {
	background-color: #00b7f1;
	color: #FFFFFF;
}

#liste-content tr.current:hover {
	cursor: default;
}

#liste-content td {
	padding: 5px;
}

/* FOOTER */

#bottom-line {
	height: 1px;
	background-color: #00b7f1;
	border-color: #00b7f1;
  	margin-top: 10px;

}

#home-footer {
	display: flex;
	align-items: center;
	justify-content: center;
	padding-top: 10px;
}

#home-footer a {
	padding: 0px 8px;
	margin: 0px 5px;
	color: #00b7f1;
}

#home-footer a:hover {
	color: #4F81BD;
}


